module Api.Spec (Api) where

import Servant.API

import Api.Types

type Api = "api" :> (ReqBody '[FormUrlEncoded] GetSections :> Post '[JSON] [Section]
                     :<|> ReqBody '[FormUrlEncoded] GetTopics :> Post '[JSON] [TopicInfo]
                     :<|> ReqBody '[FormUrlEncoded] GetTopic :> Post '[JSON] Topic)
